Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.mql
Class MQLFunctionDefinition

    java.lang.Object
      org.makumba.providers.query.mql.MQLFunctionDefinition

    public class MQLFunctionDefinition

extends Object

This class represents an MQL function, with it's name, return type and required arguments. This definition is then used to check for correct use of the MQL functions, and set the return type, types of parameters.

Version:
  $Id: MQLFunction.java,v 1.1 Dec 20, 2008 1:19:31 AM rudi Exp $
Author:
  Rudolf Mayer

Constructor Summary
`MQLFunctionDefinition(String name, String returnType, MQLFunctionArgument... arguments)`
`MQLFunctionDefinition(String name, String returnType, String... arguments)`

Method Summary
`static MQLFunctionDefinition` | `dateToDateFunction(String name)`
`static MQLFunctionDefinition` | `dateToIntFunction(String name)`
`static MQLFunctionDefinition` | `dateToStringFunction(String name)`
`MQLFunctionArgument[]` | `getArguments()`
`static MQLFunctionDefinition` | `getByName(List<MQLFunctionDefinition> functions, String name)`
`String` | `getName()`
`String` | `getReturnType()`
`static MQLFunctionDefinition` | `intToDateFunction(String name)`
`static MQLFunctionDefinition` | `intToStringFunction(String name)`
`static MQLFunctionDefinition` | `stringToIntFunction(String name)`
`static MQLFunctionDefinition` | `stringToStringFunction(String name)`
`static MQLFunctionDefinition` | `toDateFunction(String name)`
`static MQLFunctionDefinition` | `toDateFunction(String name, MQLFunctionArgument... arguments)`
`static MQLFunctionDefinition` | `toDateFunction(String name, String... arguments)`
`static MQLFunctionDefinition` | `toIntFunction(String name, MQLFunctionArgument... arguments)`
`static MQLFunctionDefinition` | `toIntFunction(String name, String... arguments)`
`String` | `toString()`
`static MQLFunctionDefinition` | `toStringFunction(String name, MQLFunctionArgument... arguments)`
`static MQLFunctionDefinition` | `toStringFunction(String name, String... arguments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MQLFunctionDefinition

    public MQLFunctionDefinition(String name,
                                 String returnType,
                                 MQLFunctionArgument... arguments)

### MQLFunctionDefinition

    public MQLFunctionDefinition(String name,
                                 String returnType,
                                 String... arguments)

Method Detail

### dateToDateFunction

    public static MQLFunctionDefinition dateToDateFunction(String name)

### dateToIntFunction

    public static MQLFunctionDefinition dateToIntFunction(String name)

### dateToStringFunction

    public static MQLFunctionDefinition dateToStringFunction(String name)

### getByName

    public static MQLFunctionDefinition getByName(List<MQLFunctionDefinition> functions,
                                                  String name)

### intToDateFunction

    public static MQLFunctionDefinition intToDateFunction(String name)

### intToStringFunction

    public static MQLFunctionDefinition intToStringFunction(String name)

### stringToIntFunction

    public static MQLFunctionDefinition stringToIntFunction(String name)

### stringToStringFunction

    public static MQLFunctionDefinition stringToStringFunction(String name)

### toDateFunction

    public static MQLFunctionDefinition toDateFunction(String name)

### toDateFunction

    public static MQLFunctionDefinition toDateFunction(String name,
                                                       MQLFunctionArgument... arguments)

### toDateFunction

    public static MQLFunctionDefinition toDateFunction(String name,
                                                       String... arguments)

### toIntFunction

    public static MQLFunctionDefinition toIntFunction(String name,
                                                      MQLFunctionArgument... arguments)

### toIntFunction

    public static MQLFunctionDefinition toIntFunction(String name,
                                                      String... arguments)

### toStringFunction

    public static MQLFunctionDefinition toStringFunction(String name,
                                                         MQLFunctionArgument... arguments)

### toStringFunction

    public static MQLFunctionDefinition toStringFunction(String name,
                                                         String... arguments)

### getArguments

    public MQLFunctionArgument[] getArguments()

### getName

    public String getName()

### getReturnType

    public String getReturnType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20